Bug 153737 - kernel: RPC: rpciod waiting on sync task
kernel: RPC: rpciod waiting on sync task
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-04-05 11:00 EDT by Orion Poplawski
Modified: 2015-01-04 17:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:21:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-04-05 11:00:30 EDT
Description of problem:

Starting to test out NFSv4, but am seeing hangs.  I get the following error in
the logs:

Apr  5 06:25:41 alexandria kernel: RPC: rpciod waiting on sync task!
Apr  5 06:26:12 alexandria last message repeated 551 times
Apr  5 06:26:26 alexandria last message repeated 256 times

In this case the mount is on the local machine (alexandria):

alexandria:/data1 on /data/sw1 type nfs4

The mount point is completely hung at this point.  The processes running on

0 S root     30898 24427  0  76   0 -  1642 wait   06:21 ?        00:00:00
/usr/bin/perl /export/data1/mergeupd.pl -r 3
1 S root     30901     1  0  79   0 -     0 410424 06:21 ?        00:00:00
0 D root     32206 30898  0  77   0 -  1328 sync_p 06:25 ?        00:00:01
/usr/lib/anaconda-runtime/genhdlist --withnumbers --productpath Fedora
5 S root     32228  3694  0  76  -4 -   521 rpc_ex 06:26 ?        00:00:00
/usr/sbin/automount --timeout=60 /data yp auto.data intr

trying to update our local FC3 distro....

Version-Release number of selected component (if applicable):

How reproducible:
Fairly - second time in two days.
Comment 1 Dave Jones 2005-07-15 13:52:16 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:21:19 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.